
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.phasertng_wrapper module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.sculptor_functions module" href="MDSLibraries.sculptor_functions.html" />
    <link rel="prev" title="MDSLibraries.phaser_wrapper module" href="MDSLibraries.phaser_wrapper.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.sculptor_functions.html" title="MDSLibraries.sculptor_functions module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phaser_wrapper.html" title="MDSLibraries.phaser_wrapper module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.phaser_wrapper.html"
                        title="previous chapter">MDSLibraries.phaser_wrapper module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.sculptor_functions.html"
                        title="next chapter">MDSLibraries.sculptor_functions module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.phasertng_wrapper.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.phasertng_wrapper">
<span id="mdslibraries-phasertng-wrapper-module"></span><h1>MDSLibraries.phasertng_wrapper module<a class="headerlink" href="#module-MDSLibraries.phasertng_wrapper" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="MDSLibraries.phasertng_wrapper.TNG">
<em class="property">class </em><code class="descclassname">MDSLibraries.phasertng_wrapper.</code><code class="descname">TNG</code><span class="sig-paren">(</span><em>hard_limit_ellg=30.0</em>, <em>logger=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.extract_log_graph_data">
<code class="descname">extract_log_graph_data</code><span class="sig-paren">(</span><em>loggraphobj</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.extract_log_graph_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.extract_log_graph_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.get_node_object_from_phil">
<code class="descname">get_node_object_from_phil</code><span class="sig-paren">(</span><em>nodephil</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.get_node_object_from_phil"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.get_node_object_from_phil" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.get_phasertng_dag_node_base">
<code class="descname">get_phasertng_dag_node_base</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.get_phasertng_dag_node_base"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.get_phasertng_dag_node_base" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.get_python_object_from_master_and_philstr">
<code class="descname">get_python_object_from_master_and_philstr</code><span class="sig-paren">(</span><em>master</em>, <em>philstr</em>, <em>workobj=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.get_python_object_from_master_and_philstr"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.get_python_object_from_master_and_philstr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_ano">
<code class="descname">mode_ano</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_ano"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_ano" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_ano_tncso">
<code class="descname">mode_ano_tncso</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_ano_tncso"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_ano_tncso" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_cca">
<code class="descname">mode_cca</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>sequence</em>, <em>debug=False</em>, <em>verbose=False</em>, <em>z=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_cca"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_cca" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_ccs">
<code class="descname">mode_ccs</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>z</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_ccs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_ccs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_data">
<code class="descname">mode_data</code><span class="sig-paren">(</span><em>caller_action</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_eca">
<code class="descname">mode_eca</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>pdbfile</em>, <em>nmodels</em>, <em>debug=False</em>, <em>verbose=False</em>, <em>disable_check=False</em>, <em>large_vrms=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_eca"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_eca" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_eca_ewa">
<code class="descname">mode_eca_ewa</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>pdb</em>, <em>rmsd=None</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_eca_ewa"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_eca_ewa" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_eens">
<code class="descname">mode_eens</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>nodeobj</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_eens"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_eens" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_ellg_ala">
<code class="descname">mode_ellg_ala</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>size</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_ellg_ala"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_ellg_ala" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_ens">
<code class="descname">mode_ens</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>pdb</em>, <em>identifier</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_ens"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_ens" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_rbr">
<code class="descname">mode_rbr</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_rbr"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_rbr" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_sca">
<code class="descname">mode_sca</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>pdbfile</em>, <em>debug=False</em>, <em>verbose=False</em>, <em>disable_check=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_sca"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_sca" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_sceds">
<code class="descname">mode_sceds</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>ndom</em>, <em>pdb</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_sceds"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_sceds" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_sga">
<code class="descname">mode_sga</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_sga"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_sga" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_sgx">
<code class="descname">mode_sgx</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>space_group</em>, <em>reindex</em>, <em>unitcell</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_sgx"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_sgx" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_tncs">
<code class="descname">mode_tncs</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>order</em>, <em>vector</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_tncs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_tncs" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_tncso">
<code class="descname">mode_tncso</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_tncso"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_tncso" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.mode_twin">
<code class="descname">mode_twin</code><span class="sig-paren">(</span><em>caller_action</em>, <em>node</em>, <em>debug=False</em>, <em>verbose=False</em>, <em>disable_check=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.mode_twin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.mode_twin" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.python_phasertng_phil">
<code class="descname">python_phasertng_phil</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.python_phasertng_phil"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.python_phasertng_phil" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.reset">
<code class="descname">reset</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.reset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.reset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.set_logger">
<code class="descname">set_logger</code><span class="sig-paren">(</span><em>logger</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.set_logger"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.set_logger" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.phasertng_wrapper.TNG.update_node_paths">
<code class="descname">update_node_paths</code><span class="sig-paren">(</span><em>node</em>, <em>working_params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/phasertng_wrapper.html#TNG.update_node_paths"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.phasertng_wrapper.TNG.update_node_paths" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.sculptor_functions.html" title="MDSLibraries.sculptor_functions module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.phaser_wrapper.html" title="MDSLibraries.phaser_wrapper module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>